## python-x-wr-timezone 0.0.5

=== requirements.txt ===
icalendar
pytz

=== debian/changelog ===
python-x-wr-timezone (0.0.5-2) unstable; urgency=medium

  * Switch maintainer to Python team

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 08 Jan 2023 12:06:20 +0100

python-x-wr-timezone (0.0.5-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Dec 2022 13:14:35 +0100

## python-x-wr-timezone 0.0.6

=== debian/changelog ===
python-x-wr-timezone (0.0.6-1) unstable; urgency=medium

  * New upstream version 0.0.6
  * Drop temporary patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 08:47:43 +0100

python-x-wr-timezone (0.0.5-4) unstable; urgency=medium

  * Really work around broken test

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Oct 2023 13:42:11 +0200

python-x-wr-timezone (0.0.5-3) unstable; urgency=medium

  * Workaround test failure due to new icalendar version

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Oct 2023 11:07:33 +0200

=== debian/control ===
Source: python-x-wr-timezone
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-icalendar <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pytest <!nocheck>,
 python3-restructuredtext-lint <!nocheck>,
 python3-tz <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/niccokunzmann/x-wr-timezone
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-x-wr-timezone
Vcs-Git: https://salsa.debian.org/python-team/packages/python-x-wr-timezone.git

Package: python3-x-wr-timezone
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python module to handle non-standard X-WR-TIMEZONE icalendar property (Python 3)
 Some calendar providers introduce the non-standard X-WR-TIMEZONE parameter to
 ICS calendar files. Strict interpretations according to RFC 5545 ignore the
 X-WR-TIMEZONE parameter. This causes the times of the events to differ from
 those which make use of X-WR-TIMEZONE.
 .
 This module aims to bridge the gap by converting calendars using X-WR-TIMEZONE
 to a strict RFC 5545 calendars.
 .
 This package installs the library for Python 3.

## python-x-wr-timezone 0.0.7

=== debian/changelog ===
python-x-wr-timezone (0.0.7-1) unstable; urgency=medium

  * New upstream version 0.0.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Mar 2024 18:04:10 +0100

## python-x-wr-timezone 1.0.1

=== requirements.txt ===
icalendar
tzdata

=== debian/changelog ===
python-x-wr-timezone (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-pytz for tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jul 2025 21:58:28 +0100

python-x-wr-timezone (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Drop python3-tz dependency (replaced by zoneinfo)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 03 Nov 2024 10:43:19 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  python3-icalendar <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-restructuredtext-lint <!nocheck>,
- python3-tz <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/niccokunzmann/x-wr-timezone
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-x-wr-timezone
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-x-wr-timezone.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = --ignore test/test_command_line.py

%:
	dh $@ --buildsystem=pybuild

## python-x-wr-timezone 2.0.1

=== requirements.txt ===
icalendar>=6.1.0
tzdata
click

=== debian/changelog ===
python-x-wr-timezone (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove some obsolete "Python 3" qualifications from package description.
  * Use pybuild-plugin-pyproject.
  * Run more tests during build and in autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 09:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
- python3-icalendar <!nocheck>,
+ python3-click <!nocheck>,
+ python3-icalendar (>= 6.1.0) <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-click <!nocheck>,
  python3-pytz <!nocheck>,
  python3-restructuredtext-lint <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
@@ -25,7 +28,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
-Description: Python module to handle non-standard X-WR-TIMEZONE icalendar property (Python 3)
+Description: Python module to handle non-standard X-WR-TIMEZONE icalendar property
  Some calendar providers introduce the non-standard X-WR-TIMEZONE parameter to
  ICS calendar files. Strict interpretations according to RFC 5545 ignore the
  X-WR-TIMEZONE parameter. This causes the times of the events to differ from
@@ -33,5 +36,3 @@
  .
  This module aims to bridge the gap by converting calendars using X-WR-TIMEZONE
  to a strict RFC 5545 calendars.
- .
- This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS := --x-wr-timezone=all
ifneq ($(PYBUILD_AUTOPKGTEST),1)
PYBUILD_TEST_ARGS += --ignore test/test_command_line.py
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/niccokunzmann/x-wr-timezone/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
